XnList::ConstIterator Class Reference

`#include <XnList.h>`

Inheritance diagram for XnList::ConstIterator:
[legend]

## Public Member Functions

| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
const XnValue & | operator* () const
const XnNode * | GetNode () const
XnNode * | GetNode ()

## Protected Member Functions

| ConstIterator (XnNode *pNode)

## Protected Attributes

XnNode * | m_pCurrent

## Friends

class | XnList

## Constructor & Destructor Documentation

## ConstIterator() [1/2]

XnList::ConstIterator::ConstIterator | ( | const ConstIterator & | other | ) |

inline

Copy constructor

Parameters

  other | [in] instance to copy from

## ConstIterator() [2/2]

XnList::ConstIterator::ConstIterator | ( | XnNode * | pNode | ) |

inline protected

constructor to be used from inside the XnList. It points to the node supplied.

Parameters

  pNode | [in] The XnNode to which to currently point

## Member Function Documentation

## GetNode() [1/2]

XnNode * XnList::ConstIterator::GetNode | ( |  | ) |

inline

Get the entire current object (non-const version)

## GetNode() [2/2]

const XnNode * XnList::ConstIterator::GetNode | ( |  | ) | const

inline

Get the entire current object (const version)

## operator!=()

XnBool XnList::ConstIterator::operator!= | ( | const ConstIterator & | other | ) | const

inline

Operator to check if 2 iterators point to different objects

Parameters

  other | [in] instance to compare with

## operator*()

const XnValue & XnList::ConstIterator::operator* | ( |  | ) | const

inline

Get the value of the current object (const version)

## operator++() [1/2]

ConstIterator & XnList::ConstIterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

ConstIterator XnList::ConstIterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

ConstIterator & XnList::ConstIterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

ConstIterator XnList::ConstIterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## operator==()

XnBool XnList::ConstIterator::operator== | ( | const ConstIterator & | other | ) | const

inline

Operator to check if 2 iterators point to the same object

Parameters

  other | [in] instance to compare with

## Friends And Related Symbol Documentation

## XnList

friend class XnList

friend

## Member Data Documentation

## m_pCurrent

XnNode* XnList::ConstIterator::m_pCurrent

protected

The current XnNode

The documentation for this class was generated from the following file:

- XnList.h